Sync external account transactions through a vendor, such as Plaid
curl --request POST \
--url https://api-sandbox.synctera.com/v0/external_accounts/{external_account_id}/refresh_transactions \
--header 'Authorization: Bearer <token>'import requests
url = "https://api-sandbox.synctera.com/v0/external_accounts/{external_account_id}/refresh_transactions"
headers = {"Authorization": "Bearer <token>"}
response = requests.post(url, headers=headers)
print(response.text)const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api-sandbox.synctera.com/v0/external_accounts/{external_account_id}/refresh_transactions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"transactions_synced": 123
}{
"code": "BAD_REQUEST_BODY",
"detail": "missing required fields: first_name, dob",
"status": 400,
"title": "Bad Request Body",
"type": "https://dev.synctera.com/errors/bad-request-body"
}{
"code": "BAD_REQUEST_BODY",
"detail": "missing required fields: first_name, dob",
"status": 400,
"title": "Bad Request Body",
"type": "https://dev.synctera.com/errors/bad-request-body"
}{
"code": "BAD_REQUEST_BODY",
"detail": "missing required fields: first_name, dob",
"status": 400,
"title": "Bad Request Body",
"type": "https://dev.synctera.com/errors/bad-request-body"
}{
"code": "BAD_REQUEST_BODY",
"detail": "missing required fields: first_name, dob",
"status": 400,
"title": "Bad Request Body",
"type": "https://dev.synctera.com/errors/bad-request-body"
}External Accounts
Sync external account transactions through a vendor, such as Plaid
Sync external accounts for a customer through an existing access token. The token must be valid. Accounts linked in the same auth session (having the same access token) will be synced together.
POST
/
external_accounts
/
{external_account_id}
/
refresh_transactions
Sync external account transactions through a vendor, such as Plaid
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
External Account ID
Example:
"7d943c51-e4ff-4e57-9558-08cab6b963c7"
Query Parameters
Is External Account Restricted for Access
Force a vendor refresh of the external account.
Response
Result of syncing accounts through the vendor.
Number of transactions synced for the access token associated with this external account.
Was this page helpful?
⌘I

